This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 882477

Summary: Review Request: springframework-security - Modular Java/J2EE application security framework
Product: [Fedora] Fedora Reporter: gil cattaneo <puntogil>
Component: Package ReviewAssignee: Michal Srb <msrb>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: akurtako, msrb, notting, package-review
Target Milestone: ---Flags: msrb: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: springframework-security-3.1.4-1.fc18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-09 21:31:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 882475, 882476    
Bug Blocks: 968136    

Description gil cattaneo 2012-12-01 04:09:38 EST
Spec URL: http://gil.fedorapeople.org/springframework-security.spec
SRPM URL: http://gil.fedorapeople.org/springframework-security-3.1.3-1.fc16.src.rpm
Description:
Spring Security is a Java/Java EE framework that provides advanced
authentication, authorization and other comprehensive security features for
enterprise applications. In addition to having a comprehensive list of
security functionality, Spring Security is very configurable and employs the
Spring Framework for configuration, it allows for reuse and portability of
security components, and it can also be used with non-Spring applications.
Fedora Account System Username: gil
Comment 2 Michal Srb 2013-06-03 09:52:44 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: springframework-security-3.1.4-1.fc20.noarch.rpm
          springframework-security-javadoc-3.1.4-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint springframework-security springframework-security-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
springframework-security (rpmlib, GLIBC filtered):
    aopalliance
    apache-commons-logging
    apacheds-core
    apacheds-protocols
    apacheds-server
    apacheds-shared
    aspectjweaver
    cas-client
    ehcache-core
    geronimo-annotation
    google-guice
    groovy
    httpcomponents-client
    java
    jpackage-utils
    ldapjdk
    openid4java
    slf4j
    spring-ldap
    springframework
    springframework-aop
    springframework-beans
    springframework-context
    springframework-expression
    springframework-jdbc
    springframework-tx
    springframework-web
    tomcat-jsp-2.2-api
    tomcat-servlet-3.0-api

springframework-security-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
springframework-security:
    mvn(org.springframework.security:spring-security-acl)
    mvn(org.springframework.security:spring-security-cas)
    mvn(org.springframework.security:spring-security-config)
    mvn(org.springframework.security:spring-security-core)
    mvn(org.springframework.security:spring-security-crypto)
    mvn(org.springframework.security:spring-security-ldap)
    mvn(org.springframework.security:spring-security-openid)
    mvn(org.springframework.security:spring-security-remoting)
    mvn(org.springframework.security:spring-security-taglibs)
    mvn(org.springframework.security:spring-security-web)
    osgi(org.springframework.security.acls)
    osgi(org.springframework.security.cas)
    osgi(org.springframework.security.config)
    osgi(org.springframework.security.core)
    osgi(org.springframework.security.crypto)
    osgi(org.springframework.security.ldap)
    osgi(org.springframework.security.openid)
    osgi(org.springframework.security.remoting)
    osgi(org.springframework.security.taglibs)
    osgi(org.springframework.security.web)
    springframework-security

springframework-security-javadoc:
    springframework-security-javadoc



Source checksums
----------------
http://repo1.maven.org/maven2/org/springframework/security/spring-security-web/3.1.4.RELEASE/spring-security-web-3.1.4.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 30c8b7d2f1aea024be3f5900036117e12d3a4f7839602e4f0e9d8380628df35e
  CHECKSUM(SHA256) upstream package : 30c8b7d2f1aea024be3f5900036117e12d3a4f7839602e4f0e9d8380628df35e
http://repo1.maven.org/maven2/org/springframework/security/spring-security-cas/3.1.4.RELEASE/spring-security-cas-3.1.4.RELEASE.pom :
  CHECKSUM(SHA256) this package     : cf5d17542786876217ae40357c08ed6e7a67a29088fa71669d33e34ab2518ba6
  CHECKSUM(SHA256) upstream package : cf5d17542786876217ae40357c08ed6e7a67a29088fa71669d33e34ab2518ba6
http://repo1.maven.org/maven2/org/springframework/security/spring-security-config/3.1.4.RELEASE/spring-security-config-3.1.4.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 697c8a497b9109a145d6a4eecf4d2c6b635c6507ff3f9bf180ae68abdf7af236
  CHECKSUM(SHA256) upstream package : 697c8a497b9109a145d6a4eecf4d2c6b635c6507ff3f9bf180ae68abdf7af236
https://github.com/SpringSource/spring-security/archive/3.1.4.RELEASE.tar.gz :
  CHECKSUM(SHA256) this package     : aaf547afc03d185ad47283556a69ba4438940c0eff3a3d473d8d26214c832224
  CHECKSUM(SHA256) upstream package : aaf547afc03d185ad47283556a69ba4438940c0eff3a3d473d8d26214c832224
http://repo1.maven.org/maven2/org/springframework/security/spring-security-acl/3.1.4.RELEASE/spring-security-acl-3.1.4.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 93a2b9aedb29aca621c92fe49d880e1ff8666dc3da249c44b3c742e0370bc702
  CHECKSUM(SHA256) upstream package : 93a2b9aedb29aca621c92fe49d880e1ff8666dc3da249c44b3c742e0370bc702
http://repo1.maven.org/maven2/org/springframework/security/spring-security-ldap/3.1.4.RELEASE/spring-security-ldap-3.1.4.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 7b4898a089c519183640142eccfadb82aabc4766dc38ab6ba539f1627c50de1b
  CHECKSUM(SHA256) upstream package : 7b4898a089c519183640142eccfadb82aabc4766dc38ab6ba539f1627c50de1b
http://repo1.maven.org/maven2/org/springframework/security/spring-security-openid/3.1.4.RELEASE/spring-security-openid-3.1.4.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 0a17634d7cf22d2af6c8f2937ab5c6f7fc2f6e0fe6d071a25df918ac75cf10bd
  CHECKSUM(SHA256) upstream package : 0a17634d7cf22d2af6c8f2937ab5c6f7fc2f6e0fe6d071a25df918ac75cf10bd
http://repo1.maven.org/maven2/org/springframework/security/spring-security-core/3.1.4.RELEASE/spring-security-core-3.1.4.RELEASE.pom :
  CHECKSUM(SHA256) this package     : b9a2b824d66700eec6fe2e8156243690fcc585aeb72d30be9d2113c09471dae8
  CHECKSUM(SHA256) upstream package : b9a2b824d66700eec6fe2e8156243690fcc585aeb72d30be9d2113c09471dae8
http://repo1.maven.org/maven2/org/springframework/security/spring-security-crypto/3.1.4.RELEASE/spring-security-crypto-3.1.4.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 962c5350b6240d8404e6fc82cadc4d2d470eab62f178202377c86966c9e355cb
  CHECKSUM(SHA256) upstream package : 962c5350b6240d8404e6fc82cadc4d2d470eab62f178202377c86966c9e355cb
http://repo1.maven.org/maven2/org/springframework/security/spring-security-remoting/3.1.4.RELEASE/spring-security-remoting-3.1.4.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 9b040cc46ccf8f8b16b877bafab7264dfbdd945083be4dd8ec3bc5480d380a05
  CHECKSUM(SHA256) upstream package : 9b040cc46ccf8f8b16b877bafab7264dfbdd945083be4dd8ec3bc5480d380a05
http://repo1.maven.org/maven2/org/springframework/security/spring-security-taglibs/3.1.4.RELEASE/spring-security-taglibs-3.1.4.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 3105647b43ef5f1f8c2dd2103b19c188884d5109f26e552fc82ee98aace947be
  CHECKSUM(SHA256) upstream package : 3105647b43ef5f1f8c2dd2103b19c188884d5109f26e552fc82ee98aace947be


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 882477



Issues:
- missing R/BR: springframework-context-support
  The package won't build without this in rawhide.

- license tag is incorrect

Public Domain:
crypto/src/main/java/org/springframework/security/crypto/codec/Base64.java

ISC:
crypto/src/main/java/org/springframework/security/crypto/bcrypt/BCrypt.java
crypto/src/test/java/org/springframework/security/crypto/bcrypt/BCryptTests.java


Please fix these issues before importing spec to the repository.

APPROVED

PS: I would like to help with maintaining of this package, could you please make me a co-maintainer? Thanks
Comment 3 gil cattaneo 2013-06-03 10:19:03 EDT
Thanks!
yes sure.

New Package SCM Request
=======================
Package Name: springframework-security
Short Description: Modular Java/J2EE application security framework
Owners: gil msrb
Branches: f18 f19 f20
InitialCC: java-sig
Comment 4 Jon Ciesla 2013-06-03 10:23:48 EDT
Git done (by process-git-requests).
Comment 5 gil cattaneo 2013-06-03 10:31:29 EDT
Spec URL: http://gil.fedorapeople.org/springframework-security.spec
SRPM URL: http://gil.fedorapeople.org/springframework-security-3.1.4-1.fc18.src.rpm

- fixed license tag
- added missing test deps
Comment 6 Fedora Update System 2013-06-30 22:27:02 EDT
springframework-security-3.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/springframework-security-3.1.4-1.fc19
Comment 7 Fedora Update System 2013-06-30 22:41:51 EDT
springframework-security-3.1.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/springframework-security-3.1.4-1.fc18
Comment 8 Fedora Update System 2013-07-01 20:21:52 EDT
springframework-security-3.1.4-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-07-09 21:31:39 EDT
springframework-security-3.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-07-09 21:32:35 EDT
springframework-security-3.1.4-1.fc18 has been pushed to the Fedora 18 stable repository.